"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const selenium_standalone_1 = __importDefault(require("selenium-standalone"));
class Selenium {
    constructor() {
        this.seleniumChildProcess = null;
    }
    before() {
        return __awaiter(this, void 0, void 0, function* () {
            yield selenium_standalone_1.default.install(this.options);
            this.seleniumChildProcess = yield selenium_standalone_1.default.start(this.options);
        });
    }
    after() {
        return __awaiter(this, void 0, void 0, function* () {
            if (this.seleniumChildProcess === null) {
                console.warn('Selenium instance is not launched');
            }
            else {
                this.seleniumChildProcess.kill();
            }
        });
    }
}
module.exports = new Selenium();
